diff options
author | Dan Prince <dprince@redhat.com> | 2016-04-06 14:17:23 -0400 |
---|---|---|
committer | Dan Prince <dprince@redhat.com> | 2016-04-06 14:18:03 -0400 |
commit | 8557ab7123b4550d23c191ad0247e42e132419a3 (patch) | |
tree | 099bcc044c37d36a976221b6338287e47c0eebc4 | |
parent | 0a53ba43cc8a93f47868ffbbeb7faea325529c81 (diff) |
Revert "Ping retry"
This reverts commit 570c690bfb118e0cf130b7dbed7992676519ed9b.
This patch broke the ping_gateway_function when using IPv6
network isolation.
Change-Id: I57850a527804f2e753270fd9063d119d41a83b17
Closes-bug: #1567011
-rw-r--r-- | validation-scripts/all-nodes.sh | 20 |
1 files changed, 7 insertions, 13 deletions
diff --git a/validation-scripts/all-nodes.sh b/validation-scripts/all-nodes.sh index 69b489b7..31b4d6bf 100644 --- a/validation-scripts/all-nodes.sh +++ b/validation-scripts/all-nodes.sh @@ -20,12 +20,9 @@ function ping_controller_ips() { echo -n "Trying to ping $REMOTE_IP for local network $LOCAL_NETWORK..." set +e if ! $ping -W 300 -c 1 $REMOTE_IP &> /dev/null; then - # If the first ping attempt fails, retry. - if ! $ping -W 300 -c 10 $REMOTE_IP &> /dev/null; then - echo "FAILURE" - echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2 - exit 1 - fi + echo "FAILURE" + echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2 + exit 1 fi set -e echo "SUCCESS" @@ -43,13 +40,10 @@ function ping_default_gateways() { set +e for GW in $DEFAULT_GW; do echo -n "Trying to ping default gateway ${GW}..." - if ! $ping -c 1 $GW &> /dev/null; then - # If the first ping attempt fails, retry. - if ! $ping -c 10 $GW &> /dev/null; then - echo "FAILURE" - echo "$GW is not pingable." - exit 1 - fi + if ! ping -c 1 $GW &> /dev/null; then + echo "FAILURE" + echo "$GW is not pingable." + exit 1 fi done set -e |